default:
    formatters:
        progress:
            paths: false
    extensions:
        Behat\Symfony2Extension: ~
        Behat\MinkExtension:
            default_session: 'symfony2'
            sessions:
                symfony2:
                    symfony2: ~
    suites:
        simple:
            type: symfony_bundle
            bundle: 'BehatSf2DemoBundle'
            filters:
                tags: '~@web'
        web:
            type: symfony_bundle
            contexts:
                - Behat\Sf2DemoBundle\Features\Context\WebContext:
                    simpleParameter: "%%custom_app%%"
                    simpleArg: 'string'
                    session:   '@session'
                    services:
                      - '@session'
                    params:
                      - "%%kernel.root_dir%%"
                      - "%%kernel.environment%%"
                      - "%%kernel.debug%%"
                      - "%%kernel.name%%"
                    nestedParam: 'nested_parameter_%%custom_app%%'
                    collectionParam: '%%collection_param%%'
            bundle: 'BehatSf2DemoBundle'
            filters:
                tags: '@web'
